### use_awaitable_t::executor_with_default

Adapts an executor to add the `use_awaitable_t` completion token as the default.

    template<
        typename InnerExecutor>
    struct executor_with_default

##### Types

Name | Description
--- | ---
default_completion_token_type | Specify use_awaitable_t as the default completion token type.

##### Member Functions

Name | Description
--- | ---
executor_with_default [constructor] | Construct the adapted executor from the inner executor type.

##### Requirements

Header: `asio/use_awaitable.hpp`

Convenience header: `asio.hpp`